- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP6ExtendedDocumentSummaryPacket Class Reference

`#include <WP6ExtendedDocumentSummaryPacket.h>`

Inheritance diagram for WP6ExtendedDocumentSummaryPacket:

## Public Member Functions
| WP6ExtendedDocumentSummaryPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize)
| ~WP6ExtendedDocumentSummaryPacket ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *listener) const
Public Member Functions inherited from WP6PrefixDataPacket
| WP6PrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP6PrefixDataPacket ()
virtual WP6SubDocument * | getSubDocument () const
unsigned | getDataSize () const

## Private Member Functions
| WP6ExtendedDocumentSummaryPacket (const WP6ExtendedDocumentSummaryPacket &)
WP6ExtendedDocumentSummaryPacket & | operator= (const WP6ExtendedDocumentSummaryPacket &)

## Private Attributes
unsigned | m_dataSize
unsigned char * | m_streamData
WPXMemoryInputStream * | m_stream

## Additional Inherited Members
Static Public Member Functions inherited from WP6PrefixDataPacket
static WP6PrefixDataPacket * | constructPrefixDataPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP6PrefixIndice *prefixIndice)
Protected Member Functions inherited from WP6PrefixDataPacket
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

WP6ExtendedDocumentSummaryPacket::WP6ExtendedDocumentSummaryPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize
| ) |  |

WP6ExtendedDocumentSummaryPacket::~WP6ExtendedDocumentSummaryPacket | ( |  | ) |

WP6ExtendedDocumentSummaryPacket::WP6ExtendedDocumentSummaryPacket | ( | const WP6ExtendedDocumentSummaryPacket & |  | ) |
| private

## Member Function Documentation

void WP6ExtendedDocumentSummaryPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP6PrefixDataPacket.

WP6ExtendedDocumentSummaryPacket& WP6ExtendedDocumentSummaryPacket::operator= | ( | const WP6ExtendedDocumentSummaryPacket & |  | ) |
| private

void WP6ExtendedDocumentSummaryPacket::parse | ( | WP6Listener * | listener | ) | const
| virtual

Reimplemented from WP6PrefixDataPacket.

## Member Data Documentation

unsigned WP6ExtendedDocumentSummaryPacket::m_dataSize
| private

Referenced by _readContents(), and parse().

WPXMemoryInputStream* WP6ExtendedDocumentSummaryPacket::m_stream
| mutable private

Referenced by _readContents(), parse(), and ~WP6ExtendedDocumentSummaryPacket().

unsigned char* WP6ExtendedDocumentSummaryPacket::m_streamData
| private

Referenced by _readContents(), and ~WP6ExtendedDocumentSummaryPacket().

The documentation for this class was generated from the following files:

- WP6ExtendedDocumentSummaryPacket.h
- WP6ExtendedDocumentSummaryPacket.cpp